OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
PointKernelBuffer Struct Reference

`#include <openvdb_ax/codegen/PointComputeGenerator.h>`

## Public Types
using | Signature = void(const void *const, const int32_t(*)[3], Index32 *, bool, uint64_t, void **, void **, uint64_t *, const void *const, void **, void *)
using | FunctionTraitsT = codegen::FunctionTraits< Signature >

## Static Public Member Functions
static const std::array< const char *, N_ARGS > & | argumentKeys ()
static const char * | getDefaultName ()

## Static Public Attributes
static const size_t | N_ARGS = FunctionTraitsT::N_ARGS

## Member Typedef Documentation

## ◆ FunctionTraitsT

using FunctionTraitsT = codegen::FunctionTraits<Signature>

## ◆ Signature

using Signature = void(const void* const, const int32_t (*)[3], Index32*, bool, uint64_t, void**, void**, uint64_t*, const void* const, void**, void*)

## Member Function Documentation

## ◆ argumentKeys()

static const std::array< const char *, N_ARGS > & argumentKeys | ( |  | ) |
| static

## ◆ getDefaultName()

static const char * getDefaultName | ( |  | ) |
| static

## Member Data Documentation

## ◆ N_ARGS

const size_t N_ARGS = FunctionTraitsT::N_ARGS
| static